# NFC tag scanned

An action block that waits for an NFC tag to be scanned by the user.

The fiber will pause until a tag has been scanned.

Use the Write tag in the tag section, or the Write tag block, to write tags. Don’t rely on unwritten Any type of tags, some generate a random ID every time they’re discovered, some doesn’t have an ID at all.

Tags written without a type may cause the app choice dialog to open when scanned. To hide Automate from being a choice, disable the “Detect all kind of NFC tags” option in settings. To hide any other app, e.g. the system “Tags” app, try “Disable” it in system Apps settings.

Scanning tags may not work while the device is locked.

## Input arguments

- Tag type — type of tag to await, default is Automate.

## Output variables

- Scanned tag ID — variable to assign the id of the scanned tag.
- Scanned tag content — variable to assign the content of the scanned tag.

## Tag

- Tag content — a constant expression to write with Write tag button.